Runtime

## org.eclipse.gmf.runtime.common.ui.action.actions
Class CommonActionConstants

    java.lang.Object
      org.eclipse.gmf.runtime.common.ui.action.actions.CommonActionConstants

    public class CommonActionConstants

extends java.lang.Object

Various strings used by the menus and actions in the modeler domain.

Field Summary
`static java.lang.String` `ADD_GROUP` The add context menu group name.
`static java.lang.String` `ADD_GROUP_ADDITIONS` The add additions context menu group name.
`static java.lang.String` `ADDITIONS_GROUP` The additions context menu group name.
`static java.lang.String` `EDIT_COPY_GROUP` The edit context menu copy group name.
`static java.lang.String` `EDIT_DELETE_GROUP` The edit context menu delete group name.
`static java.lang.String` `EDIT_GROUP` The edit context menu group name.
`static java.lang.String` `EDIT_MENU_ID` The menu ID for the common edit menu.
`static java.lang.String` `EDIT_MODIFY_GROUP` The edit context menu modify group name.
`static java.lang.String` `EDIT_UNDO_GROUP` The edit context menu undo group name.
`static java.lang.String` `FILE_GROUP` The file context menu group name.
`static java.lang.String` `FILE_MENU_ID` The menu ID for the common file menu.
`static java.lang.String` `FIND_GROUP` The find context menu group name.
`static java.lang.String` `IMPORT_GROUP` The edit context menu import group name.
`static java.lang.String` `MISCELLANEOUS_GROUP` The file context menu group name.
`static java.lang.String` `NAVIGATE_GROUP` The navigate context menu group name.
`static java.lang.String` `NAVIGATE_MENU_ID` The menu ID for the common navigate menu.
`static java.lang.String` `POST_NAVIGATE_GROUP` The post navigate context menu group name.
`static java.lang.String` `PRE_PROPERTIES_GROUP` The pre-properties context menu group name.
`static java.lang.String` `PROPERTIES_GROUP` The properties context menu group name.
`static java.lang.String` `REFACTOR_MENU_ID` The menu ID for the common edit menu.
`static java.lang.String` `REFACTOR_MODIFY_GROUP` The refactor context menu modify group name.
`static java.lang.String` `RENAME_GROUP` The edit context menu rename group name.
`static java.lang.String` `REPEAT` Edit menu: name of Repeat global action (value `"org.eclipse.gmf.runtime.common.ui.edit.repeat"`).
`static java.lang.String` `VALIDATE_GROUP` The validate context menu group name.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REPEAT

    public static final java.lang.String REPEAT

  Edit menu: name of Repeat global action (value `"org.eclipse.gmf.runtime.common.ui.edit.repeat"`).

  See Also:
    Constant Field Values

### FILE_MENU_ID

    public static final java.lang.String FILE_MENU_ID

  The menu ID for the common file menu.

  See Also:
    Constant Field Values

### EDIT_MENU_ID

    public static final java.lang.String EDIT_MENU_ID

  The menu ID for the common edit menu.

  See Also:
    Constant Field Values

### REFACTOR_MENU_ID

    public static final java.lang.String REFACTOR_MENU_ID

  The menu ID for the common edit menu.

  See Also:
    Constant Field Values

### NAVIGATE_MENU_ID

    public static final java.lang.String NAVIGATE_MENU_ID

  The menu ID for the common navigate menu.

  See Also:
    Constant Field Values

### ADD_GROUP

    public static final java.lang.String ADD_GROUP

  The add context menu group name.

  See Also:
    Constant Field Values

### ADD_GROUP_ADDITIONS

    public static final java.lang.String ADD_GROUP_ADDITIONS

  The add additions context menu group name.

  See Also:
    Constant Field Values

### NAVIGATE_GROUP

    public static final java.lang.String NAVIGATE_GROUP

  The navigate context menu group name.

  See Also:
    Constant Field Values

### POST_NAVIGATE_GROUP

    public static final java.lang.String POST_NAVIGATE_GROUP

  The post navigate context menu group name.

  See Also:
    Constant Field Values

### FILE_GROUP

    public static final java.lang.String FILE_GROUP

  The file context menu group name.

  See Also:
    Constant Field Values

### EDIT_GROUP

    public static final java.lang.String EDIT_GROUP

  The edit context menu group name.

  See Also:
    Constant Field Values

### EDIT_COPY_GROUP

    public static final java.lang.String EDIT_COPY_GROUP

  The edit context menu copy group name.

  See Also:
    Constant Field Values

### EDIT_DELETE_GROUP

    public static final java.lang.String EDIT_DELETE_GROUP

  The edit context menu delete group name.

  See Also:
    Constant Field Values

### EDIT_MODIFY_GROUP

    public static final java.lang.String EDIT_MODIFY_GROUP

  The edit context menu modify group name.

  See Also:
    Constant Field Values

### EDIT_UNDO_GROUP

    public static final java.lang.String EDIT_UNDO_GROUP

  The edit context menu undo group name.

  See Also:
    Constant Field Values

### RENAME_GROUP

    public static final java.lang.String RENAME_GROUP

  The edit context menu rename group name.

  See Also:
    Constant Field Values

### PROPERTIES_GROUP

    public static final java.lang.String PROPERTIES_GROUP

  The properties context menu group name.

  See Also:
    Constant Field Values

### PRE_PROPERTIES_GROUP

    public static final java.lang.String PRE_PROPERTIES_GROUP

  The pre-properties context menu group name.

  See Also:
    Constant Field Values

### IMPORT_GROUP

    public static final java.lang.String IMPORT_GROUP

  The edit context menu import group name.

  See Also:
    Constant Field Values

### REFACTOR_MODIFY_GROUP

    public static final java.lang.String REFACTOR_MODIFY_GROUP

  The refactor context menu modify group name.

  See Also:
    Constant Field Values

### ADDITIONS_GROUP

    public static final java.lang.String ADDITIONS_GROUP

  The additions context menu group name.

  See Also:
    Constant Field Values

### MISCELLANEOUS_GROUP

    public static final java.lang.String MISCELLANEOUS_GROUP

  The file context menu group name.

  See Also:
    Constant Field Values

### VALIDATE_GROUP

    public static final java.lang.String VALIDATE_GROUP

  The validate context menu group name.

  See Also:
    Constant Field Values

### FIND_GROUP

    public static final java.lang.String FIND_GROUP

  The find context menu group name.

  See Also:
    Constant Field Values

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.